Imports ColeccionDeDatos

Partial Public Class App
  Inherits Application
  Private m_ColTelefonos As Telefonos
  Public Property ColTelefonos() As Telefonos
    Get
      Return m_ColTelefonos
    End Get
    Private Set(value As Telefonos)
      m_ColTelefonos = value
    End Set
  End Property

  Public Sub New()
    ColTelefonos = New ColDatos().ColTelefonos
    InitializeComponent()
  End Sub

  Private Sub Application_Startup(ByVal o As Object, ByVal e As StartupEventArgs) Handles Me.Startup
    Me.RootVisual = New MainPage()
  End Sub

  Private Sub Application_UnhandledException(ByVal sender As Object, ByVal e As ApplicationUnhandledExceptionEventArgs) Handles Me.UnhandledException

    ' Si la aplicación se está ejecutando fuera del depurador, informe de la excepción mediante
    ' el mecanismo de excepciones del explorador. En IE se mostrará un icono de alerta amarillo 
    ' en la barra de estado y en Firefox se mostrará un error de script.
    If Not System.Diagnostics.Debugger.IsAttached Then

      ' NOTA: esto permitirá a la aplicación continuar ejecutándose después de que una excepción se haya producido
      ' pero no controlado. 
      ' Para las aplicaciones de producción, este control de errores se debe reemplazar por algo que 
      ' informará del error al sitio web y detendrá la aplicación.
      e.Handled = True
      Dim errorWindow As ChildWindow = New ErrorWindow(e.ExceptionObject)
      errorWindow.Show()
    End If
  End Sub

End Class
